
DROP TABLE IF EXISTS p20_pdm.t00_china_city_pnum_his;
CREATE TABLE IF NOT EXISTS p20_pdm.t00_china_city_pnum_his (
	 country  VARCHAR(255) 
	, postnumber  VARCHAR(255) 
	, full_name  VARCHAR(255) 
	, city_name  VARCHAR(255) 
	, district  VARCHAR(255) 
	, prov_name  VARCHAR(255) 
	, area  VARCHAR(255) 
	, Scd_Start_Dt  date 
	, Scd_End_Dt  date 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( postnumber,full_name,Scd_Start_Dt )
);

 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.country IS ''; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.postnumber IS ''; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.full_name IS ''; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.city_name IS ''; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.district IS ''; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.prov_name IS ''; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.area IS ''; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Scd_Start_Dt IS '开始时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Scd_End_Dt IS '结束时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_pnum_his.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t00_china_city_pnum_his IS '城市邮编历史变更表';