
create table if not exists p10_sa.S98_S_report_daily_completed (
	 regist_id  TEXT 
	, partner_name  TEXT 
	, region  TEXT 
	, applicant  TEXT 
	, applicant_tel  TEXT 
	, applicant_email  TEXT 
	, apply_time  TEXT 
	, review_sales_manager  TEXT 
	, review_status  TEXT 
	, review_time  TEXT 
	, cust_name  TEXT 
	, procure_method  TEXT 
	, trader_name  TEXT 
	, trader_contact_name  TEXT 
	, trader_contct_tel  TEXT 
	, prov  TEXT 
	, city  TEXT 
	, address_detail  TEXT 
	, system_integration_sales_flag  TEXT 
	, using_depart  TEXT 
	, using_depart_attr  TEXT 
	, industry  TEXT 
	, sub_industry  TEXT 
	, contact_name  TEXT 
	, contact_tel  TEXT 
	, financial_status  TEXT 
	, project_approval_status  TEXT 
	, expected_compelete_date  TEXT 
	, key_features  TEXT 
	, our_advantages  TEXT 
	, our_benefits  TEXT 
	, progress_stage  TEXT 
	, lose_reason_type  TEXT 
	, lose_reason  TEXT 
	, close_time  TEXT 
	, source_of_information  TEXT 
	, leads_id  TEXT 
	, delay_90_day_ind  TEXT 
	, delay_reason  TEXT 
	, review_remark  TEXT 
	, regist_total_price  TEXT 
	, packaging_solution_type  TEXT 
	, packaging_solution  TEXT 
	, product_series  TEXT 
	, product_type  TEXT 
	, model_type  TEXT 
	, product_solution  TEXT 
	, selected_products  TEXT 
	, unit_price  TEXT 
	, qty  TEXT 
	, discounted_total_price  TEXT 
	, last_modify_time  TEXT 
	, alias  TEXT 
	, remark  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.regist_id IS '报备编号'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.partner_name IS '合作伙伴'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.region IS '大区'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.applicant IS '申请人'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.applicant_tel IS '申请人电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.applicant_email IS '申请人邮箱'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.apply_time IS '申请时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.review_sales_manager IS '审核销售经理'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.review_status IS '审核状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.review_time IS '审核时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.cust_name IS '客户名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.procure_method IS '采购方式及渠道'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.trader_name IS '贸易商名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.trader_contact_name IS '贸易商联系人'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.trader_contct_tel IS '贸易商联系人电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.prov IS '省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.city IS '城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.address_detail IS '用户详细地址'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.system_integration_sales_flag IS '系统集成销售'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.using_depart IS '使用部门'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.using_depart_attr IS '使用部门属性'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.industry IS '行业'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.sub_industry IS '子行业'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.contact_name IS '联系人姓名'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.contact_tel IS '联系人电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.financial_status IS '资金情况'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.project_approval_status IS '项目批准情况'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.expected_compelete_date IS '预计结单时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.key_features IS '主要特点'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.our_advantages IS '优于竞争对手的地方'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.our_benefits IS '我们方案的好处'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.progress_stage IS '进展阶段'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.lose_reason_type IS '丢单原因类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.lose_reason IS '丢单原因'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.close_time IS '结单/丢单时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.source_of_information IS '信息来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.leads_id IS 'leads编号'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.delay_90_day_ind IS '报备需要延期90天'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.delay_reason IS '延期原因'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.review_remark IS '审核备注'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.regist_total_price IS '报备总价'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.packaging_solution_type IS '打包方案类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.packaging_solution IS '打包方案名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.product_series IS '产品系列/方案类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.product_type IS '产品类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.model_type IS '型号类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.product_solution IS '产品/方案名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.selected_products IS '方案中选择产品'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.unit_price IS '单价'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.qty IS '数量'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.discounted_total_price IS '折扣后总价'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.last_modify_time IS '最后修改时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.alias IS '别名'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.remark IS '特别备注'; 
 COMMENT ON COLUMN p10_sa.S98_S_report_daily_completed.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_report_daily_completed IS '';



create table if not exists p12_sfull.S98_S_report_daily_completed (
	 regist_id  TEXT 
	, partner_name  TEXT 
	, region  TEXT 
	, applicant  TEXT 
	, applicant_tel  TEXT 
	, applicant_email  TEXT 
	, apply_time  TEXT 
	, review_sales_manager  TEXT 
	, review_status  TEXT 
	, review_time  TEXT 
	, cust_name  TEXT 
	, procure_method  TEXT 
	, trader_name  TEXT 
	, trader_contact_name  TEXT 
	, trader_contct_tel  TEXT 
	, prov  TEXT 
	, city  TEXT 
	, address_detail  TEXT 
	, system_integration_sales_flag  TEXT 
	, using_depart  TEXT 
	, using_depart_attr  TEXT 
	, industry  TEXT 
	, sub_industry  TEXT 
	, contact_name  TEXT 
	, contact_tel  TEXT 
	, financial_status  TEXT 
	, project_approval_status  TEXT 
	, expected_compelete_date  TEXT 
	, key_features  TEXT 
	, our_advantages  TEXT 
	, our_benefits  TEXT 
	, progress_stage  TEXT 
	, lose_reason_type  TEXT 
	, lose_reason  TEXT 
	, close_time  TEXT 
	, source_of_information  TEXT 
	, leads_id  TEXT 
	, delay_90_day_ind  TEXT 
	, delay_reason  TEXT 
	, review_remark  TEXT 
	, regist_total_price  TEXT 
	, packaging_solution_type  TEXT 
	, packaging_solution  TEXT 
	, product_series  TEXT 
	, product_type  TEXT 
	, model_type  TEXT 
	, product_solution  TEXT 
	, selected_products  TEXT 
	, unit_price  TEXT 
	, qty  TEXT 
	, discounted_total_price  TEXT 
	, last_modify_time  TEXT 
	, alias  TEXT 
	, remark  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.regist_id IS '报备编号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.partner_name IS '合作伙伴'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.region IS '大区'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.applicant IS '申请人'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.applicant_tel IS '申请人电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.applicant_email IS '申请人邮箱'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.apply_time IS '申请时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.review_sales_manager IS '审核销售经理'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.review_status IS '审核状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.review_time IS '审核时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.cust_name IS '客户名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.procure_method IS '采购方式及渠道'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.trader_name IS '贸易商名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.trader_contact_name IS '贸易商联系人'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.trader_contct_tel IS '贸易商联系人电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.prov IS '省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.city IS '城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.address_detail IS '用户详细地址'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.system_integration_sales_flag IS '系统集成销售'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.using_depart IS '使用部门'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.using_depart_attr IS '使用部门属性'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.industry IS '行业'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.sub_industry IS '子行业'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.contact_name IS '联系人姓名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.contact_tel IS '联系人电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.financial_status IS '资金情况'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.project_approval_status IS '项目批准情况'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.expected_compelete_date IS '预计结单时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.key_features IS '主要特点'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.our_advantages IS '优于竞争对手的地方'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.our_benefits IS '我们方案的好处'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.progress_stage IS '进展阶段'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.lose_reason_type IS '丢单原因类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.lose_reason IS '丢单原因'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.close_time IS '结单/丢单时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.source_of_information IS '信息来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.leads_id IS 'leads编号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.delay_90_day_ind IS '报备需要延期90天'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.delay_reason IS '延期原因'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.review_remark IS '审核备注'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.regist_total_price IS '报备总价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.packaging_solution_type IS '打包方案类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.packaging_solution IS '打包方案名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.product_series IS '产品系列/方案类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.product_type IS '产品类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.model_type IS '型号类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.product_solution IS '产品/方案名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.selected_products IS '方案中选择产品'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.unit_price IS '单价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.qty IS '数量'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.discounted_total_price IS '折扣后总价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.last_modify_time IS '最后修改时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.alias IS '别名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.remark IS '特别备注'; 
 COMMENT ON COLUMN p12_sfull.S98_S_report_daily_completed.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_report_daily_completed IS '';

