/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_chat_records_new;

insert into  data_api.tr_chat_records_new ( 
	 main_unique_id 
	, app_name 
	, start_time 
	, end_time 
	, session_tags 
	, is_valid 
	, first_qno 
	, first_qname 
	, first_cno 
	, first_cname 
	, has_comment 
	, has_agent_ticket 
	, open_type_name 
	, contact_type_name 
	, receive_type_name 
	, close_reason_name 
	, close_status_name 
	, repeat_visit_name 
	, is_robot_valid_name 
	, is_valid_name 
	, total_duration_pretty 
	, total_duration 
	, queue_duration_pretty 
	, queue_duration 
	, visitor_id 
	, visitor_name 
	, customer_name 
	, ip 
	, province 
	, city 
	, phone_type_name 
	, visitor_extra_info 
	, device_type 
	, browser 
	, operating_system 
	, search_word 
	, market_keyword 
	, first_visit_page_url 
	, initiation_page_url 
	, referer_url 
	, search_engine_name 
	, medium 
	, plan 
	, unit 
	, account 
	, source 
	,etl_tx_dt
)
select 
	 case when trim(both from main_unique_id)='' then null else  main_unique_id::text  end  main_unique_id 
	, case when trim(both from app_name)='' then null else  app_name::text  end  app_name 
	, case when trim(both from start_time)='' then null else  start_time::text  end  start_time 
	, case when trim(both from end_time)='' then null else  end_time::text  end  end_time 
	, case when trim(both from session_tags)='' then null else  session_tags::text  end  session_tags 
	, case when trim(both from is_valid)='' then null else  is_valid::text  end  is_valid 
	, case when trim(both from first_qno)='' then null else  first_qno::text  end  first_qno 
	, case when trim(both from first_qname)='' then null else  first_qname::text  end  first_qname 
	, case when trim(both from first_cno)='' then null else  first_cno::text  end  first_cno 
	, case when trim(both from first_cname)='' then null else  first_cname::text  end  first_cname 
	, case when trim(both from has_comment)='' then null else  has_comment::text  end  has_comment 
	, case when trim(both from has_agent_ticket)='' then null else  has_agent_ticket::text  end  has_agent_ticket 
	, case when trim(both from open_type_name)='' then null else  open_type_name::text  end  open_type_name 
	, case when trim(both from contact_type_name)='' then null else  contact_type_name::text  end  contact_type_name 
	, case when trim(both from receive_type_name)='' then null else  receive_type_name::text  end  receive_type_name 
	, case when trim(both from close_reason_name)='' then null else  close_reason_name::text  end  close_reason_name 
	, case when trim(both from close_status_name)='' then null else  close_status_name::text  end  close_status_name 
	, case when trim(both from repeat_visit_name)='' then null else  repeat_visit_name::text  end  repeat_visit_name 
	, case when trim(both from is_robot_valid_name)='' then null else  is_robot_valid_name::text  end  is_robot_valid_name 
	, case when trim(both from is_valid_name)='' then null else  is_valid_name::text  end  is_valid_name 
	, case when trim(both from total_duration_pretty)='' then null else  total_duration_pretty::text  end  total_duration_pretty 
	, case when trim(both from total_duration)='' then null else  total_duration::text  end  total_duration 
	, case when trim(both from queue_duration_pretty)='' then null else  queue_duration_pretty::text  end  queue_duration_pretty 
	, case when trim(both from queue_duration)='' then null else  queue_duration::text  end  queue_duration 
	, case when trim(both from visitor_id)='' then null else  visitor_id::text  end  visitor_id 
	, case when trim(both from visitor_name)='' then null else  visitor_name::text  end  visitor_name 
	, case when trim(both from customer_name)='' then null else  customer_name::text  end  customer_name 
	, case when trim(both from ip)='' then null else  ip::text  end  ip 
	, case when trim(both from province)='' then null else  province::text  end  province 
	, case when trim(both from city)='' then null else  city::text  end  city 
	, case when trim(both from phone_type_name)='' then null else  phone_type_name::text  end  phone_type_name 
	, case when trim(both from visitor_extra_info)='' then null else  visitor_extra_info::text  end  visitor_extra_info 
	, case when trim(both from device_type)='' then null else  device_type::text  end  device_type 
	, case when trim(both from browser)='' then null else  browser::text  end  browser 
	, case when trim(both from operating_system)='' then null else  operating_system::text  end  operating_system 
	, case when trim(both from search_word)='' then null else  search_word::text  end  search_word 
	, case when trim(both from market_keyword)='' then null else  market_keyword::text  end  market_keyword 
	, case when trim(both from first_visit_page_url)='' then null else  first_visit_page_url::text  end  first_visit_page_url 
	, case when trim(both from initiation_page_url)='' then null else  initiation_page_url::text  end  initiation_page_url 
	, case when trim(both from referer_url)='' then null else  referer_url::text  end  referer_url 
	, case when trim(both from search_engine_name)='' then null else  search_engine_name::text  end  search_engine_name 
	, case when trim(both from medium)='' then null else  medium::text  end  medium 
	, case when trim(both from plan)='' then null else  plan::text  end  plan 
	, case when trim(both from unit)='' then null else  unit::text  end  unit 
	, case when trim(both from account)='' then null else  account::text  end  account 
	, case when trim(both from source)='' then null else  source::text  end  source 
,etl_tx_dt
from (
select 
	 	  (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'mainUniqueId')  main_unique_id 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'appName')  app_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'startTime')  start_time 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'endTime')  end_time 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'sessionTags')  session_tags 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'isValid')  is_valid 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'firstQno')  first_qno 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'firstQname')  first_qname 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'firstCno')  first_cno 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'firstCname')  first_cname 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'hasComment')  has_comment 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'hasAgentTicket')  has_agent_ticket 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'openTypeName')  open_type_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'contactTypeName')  contact_type_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'receiveTypeName')  receive_type_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'closeReasonName')  close_reason_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'closeStatusName')  close_status_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'repeatVisitName')  repeat_visit_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'isRobotValidName')  is_robot_valid_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'isValidName')  is_valid_name 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'totalDurationPretty')  total_duration_pretty 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'totalDuration')  total_duration 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'queueDurationPretty')  queue_duration_pretty 
	, (json_array_elements(data::json)::json -> 'sessionInfoApiDto' ->>'queueDuration')  queue_duration 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'visitorId')  visitor_id 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'visitorName')  visitor_name 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'customerName')  customer_name 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'ip')  ip 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'province')  province 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'city')  city 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'phoneTypeName')  phone_type_name 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'visitorExtraInfo')  visitor_extra_info 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'deviceType')  device_type 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'browser')  browser 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'operatingSystem')  operating_system 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'searchWord')  search_word 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'marketKeyword')  market_keyword 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'firstVisitPageUrl')  first_visit_page_url 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'initiationPageUrl')  initiation_page_url 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'refererUrl')  referer_url 
	, (json_array_elements(data::json)::json -> 'sessionVisitorApiDto' ->>'searchEngineName')  search_engine_name 
	, (json_array_elements(data::json)::json -> 'sessionUtmApiDto' ->>'medium')  medium 
	, (json_array_elements(data::json)::json -> 'sessionUtmApiDto' ->>'plan')  plan 
	, (json_array_elements(data::json)::json -> 'sessionUtmApiDto' ->>'unit')  unit 
	, (json_array_elements(data::json)::json -> 'sessionUtmApiDto' ->>'account')  account 
	, (json_array_elements(data::json)::json -> 'sessionUtmApiDto' ->>'source')  source 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='8224925b5df649349807d1aa540192da' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='8224925b5df649349807d1aa540192da';
\q